<?php
class DBCon {
    function query($query) {
        global $wpdb;
    	$wpdb->query($query);
    }

    function get_var($query) {
        global $wpdb;
    	$wpdb->get_var($query);
    }

    function get_results($query) {
        global $wpdb;
    	$wpdb->get_results($query);
    }

    function escapeParam($param) {
        global $wpdb;
    	return $wpdb->_real_escape($param);
    }
    
    function search_subscription($email) {
        return get_user_by('email', $email);
    }
    
    function total_subs() {
        return get_users(array('meta_key' => 'bt_sub_status', 'meta_value' => 1));
    }
    
    function cancelled_subs() {
        return get_users(array('meta_key' => 'bt_sub_status', 'meta_value' => 2));
    }
    
    function new_subs_month() {
        return get_users(array('meta_key' => 'bt_sub_started', 'meta_value' => date('Y-m-d H:i:s', strtotime("-1 month")), 'meta_compare' => '>'));
    }
}
?>